For the complete documentation index, see llms.txt. This page is also available as Markdown.

Private key

Stores and deletes private keys.

The keys must be 32 characters and Base64 encoded. The must be unique.

Store a private key.

post
Authorizations
x-api-keystringRequired
Body
key_idstringOptional
private_keystringOptional
Responses
200

200 response

application/json
post/frost/private_key
POST /frost/private_key HTTP/1.1
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "key_id": "text",
  "private_key": "text"
}
200

200 response

{
  "request": {
    "request_uuid": "text",
    "request_name": "text",
    "request_verb": "text",
    "response_eta": "text",
    "created_at": "text",
    "satellite_id": "text",
    "request_status": {
      "status_code": null,
      "status_name": "text"
    }
  }
}

Delete a previously stored private key.

delete
Authorizations
x-api-keystringRequired
Body
key_idstringOptional
Responses
200

200 response

application/json
delete/frost/private_key
DELETE /frost/private_key HTTP/1.1
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 17

{
  "key_id": "text"
}
200

200 response

{
  "request": {
    "request_uuid": "text",
    "request_name": "text",
    "request_verb": "text",
    "response_eta": "text",
    "created_at": "text",
    "satellite_id": "text",
    "request_status": {
      "status_code": null,
      "status_name": "text"
    }
  }
}

Last updated